Bug 1378160 - Review Request: jitterentropy-rngd - RNGD based on CPU Jitter RNG
Summary: Review Request: jitterentropy-rngd - RNGD based on CPU Jitter RNG
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nathaniel McCallum
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-21 16:27 UTC by Paul Wouters
Modified: 2017-06-10 04:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-10 04:28:47 UTC
Type: ---
npmccallum: fedora-review+


Attachments (Terms of Use)

Description Paul Wouters 2016-09-21 16:27:11 UTC
Spec URL: ftp://ftp.nohats.ca/jitterentropy-rngd/jitterentropy-rngd.spec
SRPM URL: ftp://ftp.nohats.ca/jitterentropy-rngd/jitterentropy-rngd-1.0.3-1.fc24.src.rpm
Description: The CPU Jitter Random Number Generator provides a non-physical true
random number generator that works equally in kernel and user land. The
only prerequisite is the availability of a high-resolution timer that
is available in modern CPUs.

Upon starting as a service, it will block until it has written 256 bytes
of entropy (which happens almost immediately)

A whitepaper is available at:
http://www.chronox.de/jent/doc/CPU-Jitter-NPTRNG.pdf

Fedora Account System Username: pwouters

Comment 1 Nathaniel McCallum 2016-09-21 19:27:03 UTC
Review PASSED

Please contact upstream about packaging a separate license file:

[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause) GPL (unversioned/unknown version)", "Unknown or
     generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/nmccallu/jitterentropy-rngd/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Uses parallel make %{?_smp_mflags} macro.
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     jitterentropy-rngd-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: jitterentropy-rngd-1.0.3-1.fc24.x86_64.rpm
          jitterentropy-rngd-debuginfo-1.0.3-1.fc24.x86_64.rpm
          jitterentropy-rngd-1.0.3-1.fc24.src.rpm
jitterentropy-rngd.x86_64: W: spelling-error %description -l en_US whitepaper -> white paper, white-paper, whitewater
jitterentropy-rngd.x86_64: W: no-manual-page-for-binary jitterentropy-rngd
jitterentropy-rngd-debuginfo.x86_64: E: debuginfo-without-sources
jitterentropy-rngd.src: W: spelling-error %description -l en_US whitepaper -> white paper, white-paper, whitewater
3 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: jitterentropy-rngd-debuginfo-1.0.3-1.fc24.x86_64.rpm
jitterentropy-rngd-debuginfo.x86_64: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
jitterentropy-rngd.x86_64: W: spelling-error %description -l en_US whitepaper -> white paper, white-paper, whitewater
jitterentropy-rngd.x86_64: W: no-manual-page-for-binary jitterentropy-rngd
jitterentropy-rngd-debuginfo.x86_64: E: debuginfo-without-sources
2 packages and 0 specfiles checked; 1 errors, 2 warnings.



Requires
--------
jitterentropy-rngd (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    librt.so.1()(64bit)
    rtld(GNU_HASH)
    systemd

jitterentropy-rngd-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
jitterentropy-rngd:
    jitterentropy-rngd
    jitterentropy-rngd(x86-64)

jitterentropy-rngd-debuginfo:
    jitterentropy-rngd-debuginfo
    jitterentropy-rngd-debuginfo(x86-64)



Source checksums
----------------
http://www.chronox.de/jent/jitterentropy-rngd-1.0.3.tar.xz :
  CHECKSUM(SHA256) this package     : d410bc2b0449feee11f1d8f4c5bcefeeb4cc4d429b1b0e4414cc01f027204873
  CHECKSUM(SHA256) upstream package : d410bc2b0449feee11f1d8f4c5bcefeeb4cc4d429b1b0e4414cc01f027204873

Comment 2 Gwyn Ciesla 2016-09-21 21:34:05 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/jitterentropy-rngd

Comment 3 Fedora Update System 2016-09-24 00:53:52 UTC
jitterentropy-rngd-1.0.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d380b9537d

Comment 4 Fedora Update System 2016-09-24 01:51:24 UTC
jitterentropy-rngd-1.0.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6dbaf19524

Comment 5 Fedora Update System 2016-09-26 22:49:29 UTC
jitterentropy-rngd-1.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-92b03e8aff

Comment 6 Fedora Update System 2016-10-10 17:47:49 UTC
jitterentropy-rngd-1.0.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-10-10 21:50:40 UTC
jitterentropy-rngd-1.0.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-05-09 03:37:19 UTC
jitterentropy-rngd-1.0.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6aaeb98163

Comment 9 Fedora Update System 2017-05-10 08:55:47 UTC
jitterentropy-rngd-1.0.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6aaeb98163

Comment 10 Paul Wouters 2017-05-10 13:35:13 UTC
not sure why fedora update system is re-opening this bug :P

Comment 11 Fedora Update System 2017-05-23 02:56:26 UTC
jitterentropy-rngd-1.0.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c3ffa1ee0e

Comment 12 Fedora Update System 2017-05-24 07:26:07 UTC
jitterentropy-rngd-1.0.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c3ffa1ee0e

Comment 13 Fedora Update System 2017-06-10 04:28:47 UTC
jitterentropy-rngd-1.0.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.